/********** Template CSS **********/
:root {
  --primary: #1291ec;
  --secondary: #363231;
  --light: #eef9ff;
  --dark: #091e3e;
}

/*** Spinner ***/
.spinner {
  width: 40px;
  height: 40px;
  background: var(--primary);
  margin: 100px auto;
  -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
  animation: sk-rotateplane 1.2s infinite ease-in-out;
}

@-webkit-keyframes sk-rotateplane {
  0% {
    -webkit-transform: perspective(120px);
  }
  50% {
    -webkit-transform: perspective(120px) rotateY(180deg);
  }
  100% {
    -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg);
  }
}

@keyframes sk-rotateplane {
  0% {
    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg);
  }
  50% {
    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
  }
  100% {
    transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
  }
}

#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Heading ***/
h1,
h2,
.fw-bold {
  font-weight: 800 !important;
}

h3,
h4,
.fw-semi-bold {
  font-weight: 700 !important;
}

h5,
h6,
.fw-medium {
  font-weight: 600 !important;
}

/*** Button ***/
.btn {
  font-family: "Nunito", sans-serif;
  font-weight: 600;
  transition: 0.5s;
}

.btn-primary,
.btn-secondary {
  color: #ffffff;
  box-shadow: inset 0 0 0 50px transparent;
}

.btn-primary:hover {
  box-shadow: inset 0 0 0 0 var(--primary);
}

.btn-secondary:hover {
  box-shadow: inset 0 0 0 0 var(--secondary);
}

.btn-square {
  width: 36px;
  height: 36px;
}

.btn-sm-square {
  width: 30px;
  height: 30px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding-left: 0;
  padding-right: 0;
  text-align: center;
}

/*** Navbar ***/
/* .navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000; /* 
}

@media (max-width: 992px) {
  .navbar {
    padding: 10px 20px;
  }
} */

.navbar-nav.ms-auto {
  margin: auto; /* Center align the specific navbar-nav */
}

.navbar-nav .nav-item {
  margin-right: 10px; /* Adjust margin between navbar items */
}

.navbar-dark {
  background-color: transparent !important;
}
@media (max-width: 992px) {
  .navbar-dark {
    background-color: white !important;
    opacity: 1 !important; /* Ensures transparency is removed */
  }
}
.navbar-dark .navbar-nav .nav-link {
  font-family: "Nunito", sans-serif;
  position: relative;
  margin-left: 25px;
  padding: 35px 0;
  color: #ffffff;
  font-size: 18px;
  font-weight: 600;
  outline: none;
  transition: 0.5s;
}

.sticky-top.navbar-dark .navbar-nav .nav-link {
  padding: 20px 0;
  color: var(--dark);
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
  color: var(--primary);
}

.navbar-dark .navbar-brand img {
  color: #ffffff;
}

.navbar-dark .navbar-toggler {
  color: var(--primary) !important;
  border-color: var(--primary) !important;
}

@media (max-width: 991.98px) {
  .sticky-top.navbar-dark {
    position: relative;
    background: #ffffff;
  }

  .navbar-dark .navbar-nav .nav-link,
  .navbar-dark .navbar-nav .nav-link.show,
  .sticky-top.navbar-dark .navbar-nav .nav-link {
    padding: 10px 0;
    color: var(--dark);
  }
}

@media (min-width: 992px) {
  .navbar-dark {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    z-index: 999;
  }

  .sticky-top.navbar-dark {
    position: fixed;
    background: #ffffff;
  }

  .navbar-dark .navbar-nav .nav-link::before {
    position: absolute;
    content: "";
    width: 0;
    height: 2px;
    bottom: -1px;
    left: 50%;
    background: var(--primary);
    transition: 0.5s;
  }

  .navbar-dark .navbar-nav .nav-link:hover::before,
  .navbar-dark .navbar-nav .nav-link.active::before {
    width: 100%;
    left: 0;
  }

  .navbar-dark .navbar-nav .nav-link.nav-contact::before {
    display: none;
  }

  .sticky-top.navbar-dark .navbar-brand h1 {
    color: var(--primary);
  }
}

/*** Carousel ***/

.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(
    90deg,
    rgba(3, 15, 39, 0.7) 0,
    rgba(3, 15, 39, 0)
  );
  z-index: 1;
}

@media (max-width: 576px) {
  .carousel-caption h6 {
    font-size: 7px;
    font-weight: 350 !important;
  }

  .carousel-caption h1 {
    font-size: 20px;
    font-weight: 450 !important;
  }
}

.carousel-control-prev,
.carousel-control-next {
  width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 3rem;
  height: 3rem;
}
.slider-text::after {
  content: "";
  display: block;
  margin: 20px auto 0;
  width: 50%;
  height: 3px;
  background: #1291ec;
}

/*** Section Title ***/
.section-title::before {
  position: absolute;
  content: "";
  width: 150px;
  height: 5px;
  left: 0;
  bottom: 0;
  background: var(--primary);
  border-radius: 2px;
}

.section-title.text-center::before {
  left: 50%;
  margin-left: -75px;
}

.section-title.section-title-sm::before {
  width: 90px;
  height: 3px;
}

.section-title::after {
  position: absolute;
  content: "";
  width: 6px;
  height: 5px;
  bottom: 0px;
  background: #ffffff;
  -webkit-animation: section-title-run 5s infinite linear;
  animation: section-title-run 5s infinite linear;
}

.section-title.section-title-sm::after {
  width: 4px;
  height: 3px;
}

.section-title.text-center::after {
  -webkit-animation: section-title-run-center 5s infinite linear;
  animation: section-title-run-center 5s infinite linear;
}

.section-title.section-title-sm::after {
  -webkit-animation: section-title-run-sm 5s infinite linear;
  animation: section-title-run-sm 5s infinite linear;
}

@-webkit-keyframes section-title-run {
  0% {
    left: 0;
  }
  50% {
    left: 145px;
  }
  100% {
    left: 0;
  }
}

@-webkit-keyframes section-title-run-center {
  0% {
    left: 50%;
    margin-left: -75px;
  }
  50% {
    left: 50%;
    margin-left: 45px;
  }
  100% {
    left: 50%;
    margin-left: -75px;
  }
}

@-webkit-keyframes section-title-run-sm {
  0% {
    left: 0;
  }
  50% {
    left: 85px;
  }
  100% {
    left: 0;
  }
}
/* home-about-img  */
.hover-image {
  /* transition: transform 0.1s ease;
  transform-origin: center; */
  transition: transform 0.2s;
  display: block;
  width: 100%;
}

.position-relative {
  perspective: 1000px; /* Lowering perspective for a more pronounced effect */
}
/* home service section  */
.service-item {
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.07);
  border: 1px solid transparent;
  transition: 0.5s;
}

.service-item:hover {
  margin-top: -10px;
  box-shadow: none;
  border: 1px solid #dee2e6;
}
/* why chose us  */
/*** Feature ***/
.progress {
  height: 5px;
}

.progress-bar {
  transition: width 0.6s ease;
  background-image: linear-gradient(-224deg, #0d8abc, #61fded);
}

/* testimonial start */

.testimonial {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(../img/testimonial-bg.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.testimonial .testimonial-item {
  background: rgba(0, 0, 0, 0.4);
}

.testimonial .owl-carousel.testimonial-carousel {
  position: relative;
}

.testimonial .owl-carousel.testimonial-carousel .owl-nav {
  position: absolute;
  top: -60px;
  right: 0;
  display: flex;
  font-size: 40px;
  color: var(--bs-white);
}

.testimonial .owl-carousel.testimonial-carousel .owl-nav .owl-prev {
  margin-right: 40px;
}

.testimonial .owl-carousel.testimonial-carousel .owl-nav .owl-prev,
.testimonial .owl-carousel.testimonial-carousel .owl-nav .owl-next {
  transition: 0.5s;
}

.testimonial .owl-carousel.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial .owl-carousel.testimonial-carousel .owl-nav .owl-next:hover {
  color: var(--bs-primary);
}
/* testimonial end */

/*** Team ***/
.team-item {
  transition: 0.5s;
}

.team-social {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}

.team-social a.btn {
  position: relative;
  margin: 0 3px;
  margin-top: 100px;
  opacity: 0;
}

.team-item:hover {
  box-shadow: 0 0 30px #dddddd;
}

.team-item:hover .team-social {
  background: rgba(9, 30, 62, 0.7);
}

.team-item:hover .team-social a.btn:first-child {
  opacity: 1;
  margin-top: 0;
  transition: 0.3s 0s;
}

.team-item:hover .team-social a.btn:nth-child(2) {
  opacity: 1;
  margin-top: 0;
  transition: 0.3s 0.05s;
}

.team-item:hover .team-social a.btn:nth-child(3) {
  opacity: 1;
  margin-top: 0;
  transition: 0.3s 0.1s;
}

.team-item:hover .team-social a.btn:nth-child(4) {
  opacity: 1;
  margin-top: 0;
  transition: 0.3s 0.15s;
}

.team-item .team-img img,
.blog-item .blog-img img {
  transition: 0.5s;
}

.team-item:hover .team-img img,
.blog-item:hover .blog-img img {
  transform: scale(1.15);
}

/*** Miscellaneous ***/
@media (min-width: 991.98px) {
  .facts {
    position: relative;
    margin-top: -75px;
    z-index: 1;
  }
}

.back-to-top {
  position: fixed;
  display: none;
  right: 45px;
  bottom: 45px;
  z-index: 99;
}

.bg-header {
  background: linear-gradient(rgba(57, 57, 58, 0.7), rgba(33, 34, 35, 0.7)),
    url(../img/service-bg-img.jpg) center center no-repeat;
  background-size: cover;
}

.link-animated a {
  transition: 0.5s;
}

.link-animated a:hover {
  padding-left: 10px;
}

@media (min-width: 767.98px) {
  .footer-about {
    margin-bottom: -75px;
  }
}
.footer-section {
  background-color: #0d6aa8;
  height: 75px;
  color: inherit; /* Inherit text color from parent */
  margin-top: 35px;
  padding: 0 50%;
}
@media (max-width: 768px) {
  .footer-section {
    background-color: transparent; /* Remove background color on smaller screens */
    padding: 0 50%;
  }
}
/* whatsapp fixed start */
.whatsapp_float {
  position: fixed;
  z-index: 9999;
  bottom: 16px;
  right: 13px;
  width: 66px;
  height: 66px;
  padding: 0;
  margin: 0;
}

/* whatsapp fixed end */

/* this comment code is about zigzag/mountain view  */
/* .bg-img {
  padding-top: 9rem;
  background: url(../img/bg-top.png), url(../img/map.png);
  background-position: center top, center center;
  background-repeat: no-repeat;
} */
/* second about  */

/* About Us  */
.feature-bg-clr {
  background-color: #302121;
}

/* home-quote */
.home-Quote-parent {
  background-image: url("../img/quote-bg-img2.jpg"); /* Replace with your image path */
  background-size: cover;
  background-position: center;
  z-index: 1;
  position: relative;
  padding-top: 5rem; /* Adjust as needed */
}

.home-Quote-child {
  background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4));
  object-fit: cover;
  border-radius: 10px;
  padding: 25px;
}

/*** Project Portfolio ***/
#portfolio-flters .btn {
  position: relative;
  display: inline-block;
  margin: 10px 4px 0 4px;
  transition: 0.5s;
}

#portfolio-flters .btn::after {
  position: absolute;
  content: "";
  right: -1px;
  bottom: -1px;
  border-left: 20px solid transparent;
  border-right: 0 solid transparent;
  border-bottom: 50px solid #ffffff;
}

#portfolio-flters .btn:hover,
#portfolio-flters .btn.active {
  color: var(--light);
  background: var(--primary);
}

.portfolio-overlay {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 30px;
  top: 0;
  left: 0;
  background: var(--primary);
  transition: 0.5s;
  z-index: 1;
  opacity: 0;
}

.portfolio-item:hover .portfolio-overlay {
  opacity: 1;
}

.portfolio-item .btn {
  position: absolute;
  width: 90px;
  height: 90px;
  top: 0px;
  right: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/icon-shape-white.png) center center no-repeat;
  border: none;
  transition: 0.5s;
  opacity: 0;
  z-index: 2;
}

.portfolio-item:hover .btn {
  opacity: 1;
  transition-delay: 0.15s;
}
/* Web Service*/

.padding_layout_1 {
  padding-top: 20px;
  padding-bottom: 95px;
}
.padding_layout_1_small {
  padding-top: 80px;
  padding-bottom: 80px;
}

.img-responsive {
  max-width: 100%;
}

.side_bar_blog {
  margin-bottom: 50px;
  float: left;
  width: 100%;
}

.categary {
  font-size: 15px;
}

.categary a {
  color: #000;
  transition: ease all 0.5s;
}

.categary a i {
  margin-right: 2px;
}

.categary li {
  margin-bottom: 3px;
  transition: ease all 0.5s;
  background: #f6f6f6;
  padding: 15px 20px;
  font-weight: 600;
  font-size: 14px;
}

.categary li:hover,
.categary li:focus {
  padding-left: 30px;
  background: #1291ec;
}

.categary li:hover a,
.categary li:focus a {
  color: #fff;
}

.tags a {
  border: solid 1px #e1e1e1;
  border-radius: 50px;
  padding: 0 18px;
  float: left;
  min-height: 50px;
  line-height: 50px;
}

.tags a:hover,
.tags a:focus {
  color: #0a0909 !important;
  border: solid #615e5f 1px !important;
}

.tags li {
  float: left;
  margin-right: 8px;
  margin-bottom: 8px;
}
.tab_bar .tags li {
  float: left;
  margin: 0 2.5px;
}

/* ring */
.services-add {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background-image: url("../img/team_bg4.jpg"); /* Set your background image path */
  background-size: cover;
  background-position: center;
  padding: 50px 20px;
  border-radius: 10px;
  position: relative;
}

.address-item {
  position: relative;
}

.icon {
  width: 80px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background-color: white; /* Add a semi-transparent background */
  position: relative;
}

.icon i {
  font-size: 24px;
  color: #007bff;
  z-index: 2;
}

.icon::before,
.icon::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 90px;
  height: 90px;
  background: rgba(240, 236, 236, 0.897);
  border-radius: 50%;
  transform: translate(-50%, -50%);
  animation: ring-wave 1.5s infinite;
}

.icon::after {
  width: 100px;
  height: 100px;
  animation-delay: 0.75s;
}

@keyframes ring-wave {
  0% {
    transform: translate(-50%, -50%) scale(0.7);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, -50%) scale(1.4);
    opacity: 0;
  }
}

.title,
.contact a {
  margin-top: 40px;
}

.contact a {
  font-size: 26px;
  color: white;
  text-decoration: none;
}

/* .contact a:hover {
  text-decoration: underline;
} */

/* lets talk */
.rs-contact .contact-box {
  margin-top: 60px;
  background: linear-gradient(45deg, #0e6ca8, #1291ec, #4caeff);

  padding: 50px 30px 80px 20px;
  border-radius: 5px 5px 5px 5px;
}
.rs-contact .contact-box .address-box {
  display: flex;
}
.rs-contact .contact-box .address-box .address-icon {
  background-image: linear-gradient(275deg, #ffffff 0%, #fcfcff 100%);
  min-width: 48px;
  height: 48px;
  line-height: 48px;
  text-align: center;
  width: 40px;
  border-radius: 50%;
  margin-right: 23px;
}
.rs-contact .contact-box .address-box .address-icon i {
  font-size: 20px;
  line-height: 20px;
  color: var(--dark);
}
.rs-contact .contact-box .address-box .address-text .label {
  font-size: 16px;
  font-weight: 600;
  color: #ffffff;
  display: block;
  margin-bottom: 5px;
}
.rs-contact .contact-box .address-box .address-text a {
  color: #ffffff;
}
.rs-contact .contact-box .address-box .address-text a:hover {
  color: #ccc;
}
.rs-contact .contact-box .address-box .address-text .desc {
  color: #ffffff;
}

/* Add your custom CSS styles here */
/* .chat-container {
  border: 1px solid #ccc;
  padding: 15px;
  border-radius: 5px;
  margin-top: 20px;
}

 .chat-messages {
  max-height: 300px;
  overflow-y: auto;
}  */
